#include <applicat.h>
#include <config.h>
#include <mask.h>   
#include <relation.h>
#include <tabutil.h>
#include <urldefid.h>
#include <utility.h>
#include <form.h>

#include "agenti.h"
#include "pr1100.h"

class TStampa_agenti : public TSkeleton_application
{
  TArray _files;
  TMask * _mask;
  TForm * _form; 

  int _codicees;
  bool _raggmag;
  TString _daart,_aart,_damag,_amag;
  TDate _dadata,_adata;
protected:
  virtual void main_loop();

public:
  // @cmember Disabilita la verifica del modulo : essendo una anagrafica, va sempre abilitata
  virtual bool check_autorization() const 
  {return FALSE;}
};

void TStampa_agenti::main_loop()
{
  _files.add(new TLocalisamfile(LF_AGENTI));
  _files.add(new TLocalisamfile(LF_CLIFO));
  _files.add(new TLocalisamfile(LF_TAB));

  TRectype darec(LF_AGENTI),arec(LF_AGENTI);
  _mask = new TMask("pr1100");
  while (_mask->run() == K_ENTER) {
    _form = new TForm("pr1100a", "");
    TSorted_cursor& cur = (TSorted_cursor& )*_form->cursor();
  
    TString sortexp;
    TString filter;

    darec.zero(' ');
    arec.zero(' ');
    if (*_mask->get(F_ORDINAMENTO)=='C')
    {
      darec.put(AGE_CODAGE,_mask->get(F_DAAGE));
      arec.put(AGE_CODAGE,_mask->get(F_AAGE));
      cur.setkey(1);
    }
    else
    {
      darec.put(AGE_RAGSOC,_mask->get(F_DADES));
      arec.put(AGE_RAGSOC,_mask->get(F_ADES));
      cur.setkey(2);
    }
    cur.setregion(darec,arec);
    _form->print();
  delete _form;
  } // while true  
  delete _mask;
}

int pr1100(int argc, char* argv[])
{
  TStampa_agenti a;
  a.run(argc,argv,"Stampa agenti");
  return 0;
}
